import { BabelCompileOptions } from './index.js';
/**
 * Convert suffix
 */
export declare const convertExtname: (str?: string) => string;
interface OutputPathResult {
    cjs: {
        /** @example "/examples/react-component/lib/demo.js" */
        path: string;
        /** @example "lib/demo.js" */
        fileName: string;
        /** @example "/examples/react-component/lib/demo.d.ts" */
        ts: string;
        /** @example "lib/demo.d.ts" */
        tsFileName: string;
    };
    esm: {
        /** @example "/examples/react-component/esm/demo.js" */
        path: string;
        /** @example "esm/demo.js" */
        fileName: string;
        /** @example "/examples/react-component/esm/demo.d.ts" */
        ts: string;
        /** @example "esm/demo.d.ts" */
        tsFileName: string;
    };
    /** @example "[ 'src' ]" */
    folderList: string[];
    /** @example "'/examples/react-component'" */
    projectDirectory: string;
    /** @example "'src/demo.tsx'" */
    folderFilePath: string;
    /** @example "'demo.tsx'" */
    filePathInProjectDirectory: string;
}
/**
 * @param fileName `/examples/react-component/src/demo.tsx`
 * @param options
 * @returns {OutputPathResult}
 */
export declare function getOutputPath(fileName: string, options?: BabelCompileOptions): OutputPathResult;
export {};
